WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: [Solved] possible issue dep of wifi.tcz  (Read 230 times)

aus9

  • Guest
[Solved] possible issue dep of wifi.tcz
« on: August 23, 2020, 07:28:58 AM »
Firstly I have a RPI 4 but chose to download the image for arm6. Now looking at Apps for the alleged dep list I see something weird
Code: [Select]
tc@rpi:~$ uname -r
4.19.81-piCore-v7l
tc@rpi:/mnt/mmcblk0p2/tce/optional$ cat wifi.tcz.dep
wireless_tools.tcz
wpa_supplicant.tcz
tc@rpi:/mnt/mmcblk0p2/tce/optional$ cat wpa_supplicant.tcz.dep
libnl.tcz
openssl.tcz
readline.tcz
tc@rpi:/mnt/mmcblk0p2/tce/optional$ cat wireless_tools.tcz.dep
wireless-KERNEL.tcz

That looks good in the terminal but here is my Apps size TAB info

ca-certificates.tcz                         2162688,   2.06 MB
  libnl.tcz                                    368640,   0.35 MB
  openssl.tcz                                 1519616,   1.45 MB
  readline.tcz                                 135168,   0.13 MB
  wifi.tcz                                       8192,   0.01 MB
wireless-4.9.22-piCore-v7.tcz            Error, not found
  wireless_tools.tcz                            57344,   0.05 MB
  wpa_supplicant.tcz                           483328,   0.46 MB

  Total size (bytes)                          4734976,   4.52 MB
+ Indicates need to download                        0,   0.00 MB

I can only assume, if I had downloaded the 7l image.....Apps would think I am on 7l and display the correct wl TCE?
but arm6 does not have a 4.9.22 so now really confused.


« Last Edit: August 23, 2020, 06:55:44 PM by Rich »

Offline Paul_123

  • Administrator
  • Hero Member
  • *****
  • Posts: 617
Re: possible issue dep of wifi.tcz
« Reply #1 on: August 23, 2020, 07:44:20 AM »
Dep files always contain a -KERNEL reference, so those are fine.   When tree files are built, the kernel names get inserted by the site.....sometimes they don’t get updated when copied from older repos.

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 12419
Re: possible issue dep of wifi.tcz
« Reply #2 on: August 23, 2020, 07:46:04 AM »
There is no image specifically for armv6 - the 32-bit image is common to RPi0 -> RPi4.

If you have an RPi4, it will download *piCore-v7l* kernel module extensions, If you have an RPi3, it will download *piCore-v7* kernel module extensions, both from the armv7 repo.

The server script cannot cope with two different sets of kernel module extensions in one repo, hence the error.

I presume the same problem exists in the x86 repo, but as hardly anybody uses Core64, the issue hasn't arisen.

aus9

  • Guest
Re: possible issue dep of wifi.tcz
« Reply #3 on: August 23, 2020, 06:49:54 PM »
@Paul_123

please mark as solved. It was my failure to understand the multi-flexibility of the RPi images that lead me to think I needed to download the arm6 to build for arm6.

cheers

Offline Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 8129
Re: [Solved] possible issue dep of wifi.tcz
« Reply #4 on: August 23, 2020, 06:56:12 PM »
Hi aus9
Done.

aus9

  • Guest
Re: [Solved] possible issue dep of wifi.tcz
« Reply #5 on: August 23, 2020, 10:34:28 PM »
thanks Rich

Quote
the 32-bit image is common to RPi0 -> RPi4
I had failed to research this aspect. I can now see the sizes are the same. Anyhow I have manually adjusted my dep file based on kernel
Quote
uname -r
4.19.81-piCore-v7l
cat wireless_tools.tcz.dep
wireless-4.19.81-piCore-v7l.tcz

I have confirmed by web browser something Juanito had said earlier....but it does not hurt to check....
Apps is showing me the TCE list for arm7 and not arm7l because at the top of
http://tinycorelinux.net/11.x/armv7/tcz/
I can see 2 alsa module TCEs.....the same hits for Apps
my brain....a kingdom for a brain  (giggles)
« Last Edit: August 23, 2020, 10:36:57 PM by aus9 »

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 12419
Re: [Solved] possible issue dep of wifi.tcz
« Reply #6 on: August 23, 2020, 11:16:41 PM »
Somewhat confusingly the RPi4 uses the armv7 repo, but piCore-v7l kernel modules - you'll see that the armv7l repo has been dropped for piCore-12.x

You don't need to adjust any dep files, -KERNEL will work.